/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import org.cocktail.sapics.client.utilities.CocktailConstantes;

/**
 *
 * @author  cpinsard
 */
public class AttributionView extends javax.swing.JDialog {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = -3642818159714501897L;






	/** Creates new form TemplateJDialog */
    public AttributionView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfDebut = new javax.swing.JTextField();
        btnGetDebut = new javax.swing.JButton();
        onglets = new javax.swing.JTabbedPane();
        tfFin = new javax.swing.JTextField();
        btnGetFin = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        btnReviser = new javax.swing.JButton();
        checkReponseAcceptee = new javax.swing.JRadioButton();
        jLabel11 = new javax.swing.JLabel();
        jRadioButton2 = new javax.swing.JRadioButton();
        checkValidite = new javax.swing.JRadioButton();
        jLabel12 = new javax.swing.JLabel();
        jRadioButton4 = new javax.swing.JRadioButton();
        jLabel13 = new javax.swing.JLabel();
        tfMontantCatalogue = new javax.swing.JTextField();
        btnGetMontantCatalogue = new javax.swing.JButton();
        lblFournisseur = new javax.swing.JLabel();
        lblMarche = new javax.swing.JLabel();
        lblLot = new javax.swing.JLabel();

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Classe SNCF : ");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("ATTRIBUTIONS  (Saisie / Modification )");

        JPanel panel = (JPanel)getContentPane();
        panel.setBorder(new EmptyBorder(10, 10, 10, 10));

        btnAnnuler.setText("Annuler");

        btnValider.setText("Valider");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Début : ");

        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Fin : ");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Montant : ");

        btnReviser.setText("Réviser");

        buttonGroup1.add(checkReponseAcceptee);
        checkReponseAcceptee.setText("OUI");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Réponse Acceptée : ");

        buttonGroup1.add(jRadioButton2);
        jRadioButton2.setText("NON");

        buttonGroup2.add(checkValidite);
        checkValidite.setText("OUI");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("VALIDITE : ");

        buttonGroup2.add(jRadioButton4);
        jRadioButton4.setText("NON");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Montant Catalogue : ");

        tfMontantCatalogue.setEditable(false);
        tfMontantCatalogue.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfMontantCatalogue.setEnabled(false);

        lblFournisseur.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        lblFournisseur.setForeground(new java.awt.Color(255, 153, 153));
        lblFournisseur.setText("Fournisseur : ");

        lblMarche.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        lblMarche.setForeground(new java.awt.Color(255, 51, 102));
        lblMarche.setText("MARCHE :");
        lblMarche.setMaximumSize(new java.awt.Dimension(832, 17));
        lblMarche.setMinimumSize(new java.awt.Dimension(832, 17));
        lblMarche.setPreferredSize(new java.awt.Dimension(832, 17));

        lblLot.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        lblLot.setForeground(new java.awt.Color(255, 102, 153));
        lblLot.setText("LOT :");
        lblLot.setMaximumSize(new java.awt.Dimension(832, 17));
        lblLot.setMinimumSize(new java.awt.Dimension(832, 17));
        lblLot.setPreferredSize(new java.awt.Dimension(832, 17));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(lblFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 543, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnReviser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 108, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 39, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMontantCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 108, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkReponseAcceptee)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jRadioButton2))
                            .add(layout.createSequentialGroup()
                                .add(2, 2, 2)
                                .add(btnGetMontantCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(27, 27, 27)
                                .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkValidite)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jRadioButton4))))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(onglets)
                        .addContainerGap())))
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(lblMarche, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(lblLot, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(lblMarche, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(5, 5, 5)
                .add(lblLot, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel8)
                        .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel11)
                        .add(checkReponseAcceptee)
                        .add(jRadioButton2)
                        .add(jLabel9))
                    .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel10)
                        .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel13)
                        .add(tfMontantCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnGetMontantCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnReviser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel12)
                        .add(checkValidite)
                        .add(jRadioButton4)))
                .add(18, 18, 18)
                .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 482, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(lblFournisseur)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnValider)
                        .add(btnAnnuler)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-852)/2, (screenSize.height-682)/2, 900, 700);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	AttributionView dialog = new AttributionView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetDebut;
    private javax.swing.JButton btnGetFin;
    private javax.swing.JButton btnGetMontantCatalogue;
    private javax.swing.JButton btnReviser;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JRadioButton checkReponseAcceptee;
    private javax.swing.JRadioButton checkValidite;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JRadioButton jRadioButton4;
    private javax.swing.JLabel lblFournisseur;
    private javax.swing.JLabel lblLot;
    private javax.swing.JLabel lblMarche;
    private javax.swing.JTabbedPane onglets;
    private javax.swing.JTextField tfDebut;
    private javax.swing.JTextField tfFin;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfMontantCatalogue;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailConstantes.ICON_VALID);
        btnAnnuler.setIcon(CocktailConstantes.ICON_CANCEL);

    	btnGetDebut.setIcon(CocktailConstantes.ICON_CALENDAR);
    	btnGetFin.setIcon(CocktailConstantes.ICON_CALENDAR);

    	btnReviser.setIcon(CocktailConstantes.ICON_UPDATE);
    	btnGetMontantCatalogue.setIcon(CocktailConstantes.ICON_CALCULATE_16);

		
    }

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetDebut() {
		return btnGetDebut;
	}

	public void setBtnGetDebut(javax.swing.JButton btnGetDebut) {
		this.btnGetDebut = btnGetDebut;
	}

	public javax.swing.JButton getBtnGetFin() {
		return btnGetFin;
	}

	public void setBtnGetFin(javax.swing.JButton btnGetFin) {
		this.btnGetFin = btnGetFin;
	}

	public javax.swing.JButton getBtnGetMontantCatalogue() {
		return btnGetMontantCatalogue;
	}

	public void setBtnGetMontantCatalogue(javax.swing.JButton btnGetMontantCatalogue) {
		this.btnGetMontantCatalogue = btnGetMontantCatalogue;
	}

	public javax.swing.JButton getBtnReviser() {
		return btnReviser;
	}

	public void setBtnReviser(javax.swing.JButton btnReviser) {
		this.btnReviser = btnReviser;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JRadioButton getCheckReponseAcceptee() {
		return checkReponseAcceptee;
	}

	public javax.swing.JLabel getLblLot() {
		return lblLot;
	}

	public void setLblLot(javax.swing.JLabel lblLot) {
		this.lblLot = lblLot;
	}

	public javax.swing.JLabel getLblMarche() {
		return lblMarche;
	}

	public void setLblMarche(javax.swing.JLabel lblMarche) {
		this.lblMarche = lblMarche;
	}

	public javax.swing.JLabel getLblFournisseur() {
		return lblFournisseur;
	}

	public void setLblFournisseur(javax.swing.JLabel lblFournisseur) {
		this.lblFournisseur = lblFournisseur;
	}

	public void setCheckReponseAcceptee(
			javax.swing.JRadioButton checkReponseAcceptee) {
		this.checkReponseAcceptee = checkReponseAcceptee;
	}

	public javax.swing.JRadioButton getCheckValidite() {
		return checkValidite;
	}

	public void setCheckValidite(javax.swing.JRadioButton checkValidite) {
		this.checkValidite = checkValidite;
	}

	public javax.swing.JTabbedPane getOnglets() {
		return onglets;
	}

	public void setOnglets(javax.swing.JTabbedPane onglets) {
		this.onglets = onglets;
	}

	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JTextField getTfMontantCatalogue() {
		return tfMontantCatalogue;
	}

	public void setTfMontantCatalogue(javax.swing.JTextField tfMontantCatalogue) {
		this.tfMontantCatalogue = tfMontantCatalogue;
	}



}
